%def_disable debug

%define base_name	kde-styles
%define theme_name	kurses
%define name		%base_name-%theme_name

%define Name Kurses
Name: %name
Version: 0.1.1
Release: alt1
Group: Graphical desktop/KDE
Summary: %Name style for KDE
License: %gpl2only
URL: http://www.kde-look.org/content/show.php/%Name?content=30599
Source: %theme_name-%version.tar
Patch: %theme_name-0.1.1-alt-makefile.patch

BuildRequires: gcc-c++ xml-utils
BuildRequires: kdelibs-devel >= 3.2
BuildRequires: rpm-build-licenses

%description
This is the %Name style for KDE 3.x with minimal design which looks
like ncurses programs.


%prep
%setup -n %theme_name-%version
%patch -p1


%build
%configure \
    %{subst_enable debug} \
    --disable-rpath
%make_build


%install
%make_install DESTDIR=%buildroot install


%files
%doc README TODO
%_libdir/kde3/plugins/styles/*.so
%_datadir/apps/kdisplay/color-schemes/*
%_datadir/apps/kstyle/themes/*


%changelog
* Sat Aug 09 2008 Led <led@altlinux.ru> 0.1.1-alt1
- updated URL
- cleaned up spec

* Wed Nov 29 2006 Led <led@altlinux.ru> 0.1.1-alt0.1
- initial build
